Skip to main content

List PA Requests

GET 

/v1/pa-requests

Get list of Pre-authorization requests for Insurer or hospital

Request

Query Parameters

    status string

    Possible values: [approved, pending, rejected, partially_approved]

    The status of the PA requests.

    Note: 'partially_approved' points to PA Requests that have been approved but whose approved amount is less than the total amount.

    enrollee_id integer

    The ID of the enrollee the PA requests were created for

    insurance_no string

    The insurance number of the enrollee the PA requests were created for. This is only considered when no value is provided for enrollee_id

    provider_id integer

    Applicable if fetching list as an Insurer

    The ID of the hospital that created the PA requests

    insurer_id integer

    Applicable if fetching list as a provider/hospital

    The ID of the Insurer that owns the created PA requests

    search string

    This is used to search for claims by the key word supplied to it.

    The search is applied to the enrollee firstname, lastname, and insurance number, the PA codes, as well as diagnoses icd codes and names.

    is_handled boolean

    This parameter is used to filter the PA Requests based on if an action has been performed on it.

    is_closed boolean

    This parameter is used to filter the PA Requests based on if it has been either approved or rejected as the final action.

    is_synced boolean

    This parameter is used to filter the PA Requests based on if they have been synced with external db or not.

    created_at any

    Filter returned PA Requests by the creation date.

    This implements a range filtering on the PA Requests when set to an object with keys of 'start' and 'end' bearing date values. Setting it to a single date string also filters the PA Requests with a direct comparison to the value given.

    handled_at any

    Filter returned PA Requests by the handled date.

    This implements a range filtering on the PA Requests when set to an object with keys of 'start' and 'end' bearing date values. Setting it to a single date string also filters the PA Requests with a direct comparison to the value given.

    closed_at any

    Filter returned PA Requests by the closed date or date by which is was either approved or rejected.

    This implements a range filtering on the PA Requests when set to an object with keys of 'start' and 'end' bearing date values. Setting it to a single date string also filters the PA Requests with a direct comparison to the value given.

    synced_at any

    Filter returned PA Requests by the synced date if available.

    This implements a range filtering on the PA Requests when set to an object with keys of 'start' and 'end' bearing date values. Setting it to a single date string also filters the PA Requests with a direct comparison to the value given.

    for_export boolean

    Possible values: [1, 0]

    Used to fetch an exported list of PA requests in Excel format. Can be used in conjunction with other filters to achieve results.

    page integer

    The presence of this param would return results in paginated format Better used together with the 'per_page' param

    This is used to indicate the offset from which results are fetched in paginated format.

    per_page integer

    Better used together with the 'page' param

    This is used to indicate the how many results are to be in an offset for pagination.

    with string

    Optional comma-separated relations to include in each PA record.

    Supported values include cares, items, and nested item relations like items.tariffItem. Benefit summaries on cares[] and items[] are returned when those relations are included.

Responses

Success

Schema
    page integer
    per_page integer
    total integer
    data object[]
  • Array [
  • insurer object
    id integer
    code string
    name string
    provider object
    id integer
    code string
    name string
    code string
    pr_code string

    Prescription referral code (PR-XXXXX) if this PA is linked to an encounter.

    created_at date
    opened_at date
    closed_at date
    id integer
    enrollee object
    id integer

    This is absent if is_floating is truthy.

    insurance_no string
    firstname string
    lastname string
    is_floating boolean
    is_approved boolean

    Possible values: [true, false, null]

    rejection_reason string
    total_amount_requested double
    cares object[]

    Returned when with=cares is supplied.

  • Array [
  • id integer
    name string
    benefit objectnullable

    Summary of the matched plan benefit for the returned care or treatment item.

    id integer

    The unique ID of the matched plan benefit.

    label stringnullable

    Human-readable label for the matched benefit.

    source_type stringnullable

    Possible values: [care, care_group, care_type, diagnosis]

    Indicates how the benefit was matched.

    care_group objectnullable

    Care group metadata when the matched benefit comes from a care-group rule.

    id integernullable
    name stringnullable
  • ]
  • items object[]

    Returned when with=items is supplied.

  • Array [
  • tariff_item object

    Returned when the tariff relation is loaded for the item.

    id integer
    amount number
    desc string
    benefit objectnullable

    Summary of the matched plan benefit for the returned care or treatment item.

    id integer

    The unique ID of the matched plan benefit.

    label stringnullable

    Human-readable label for the matched benefit.

    source_type stringnullable

    Possible values: [care, care_group, care_type, diagnosis]

    Indicates how the benefit was matched.

    care_group objectnullable

    Care group metadata when the matched benefit comes from a care-group rule.

    id integernullable
    name stringnullable
  • ]
  • ]
Loading...